<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="fr"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Calculatrice.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">Junit_Test</a> &gt; <a href="index.source.html" class="el_package">com.mycompany.junit_test</a> &gt; <span class="el_source">Calculatrice.java</span></div><h1>Calculatrice.java</h1><pre class="source lang-java linenums">/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 * Click nbfs://nbhost/SystemFileSystem/Templates/Classes/Class.java to edit this template
 */
package com.mycompany.junit_test;

import java.util.logging.Level;
import java.util.logging.Logger;

/**
 *
 * @author kahina
 */
<span class="fc" id="L14">public class Calculatrice {</span>
    public int addition(int a, int b){
<span class="fc" id="L16">        return a + b;</span>
    }
    
    public int soustraction(int a, int b) {
<span class="fc" id="L20">        return a - b;</span>
    }
    
    public int multiplication(int a, int b) {
<span class="fc" id="L24">        return a * b;</span>
    }
    
    public int division(int a, int b) {
<span class="pc bpc" id="L28" title="1 of 2 branches missed.">        if (b == 0 ) {</span>
<span class="nc" id="L29">            System.err.println(&quot;Impossible de diviser par 0&quot;);</span>
<span class="nc" id="L30">            return Integer.MIN_VALUE;</span>
        }
<span class="fc" id="L32">        return a / b;</span>
    }
    
    public int factoIte(int nb) {
<span class="fc" id="L36">        int facto = 1;</span>
<span class="fc bfc" id="L37" title="All 2 branches covered.">        for(int i = 1; i &lt;= nb; i++) {</span>
<span class="fc" id="L38">            facto *= i;</span>
        }
<span class="fc" id="L40">        return facto;</span>
    }
    
    public int factoRec(int nb, int sommeFacto) {
<span class="fc bfc" id="L44" title="All 2 branches covered.">        if (nb &lt;= 1) {</span>
<span class="fc" id="L45">            return sommeFacto;            </span>
        }
        
<span class="fc" id="L48">        return nb * factoRec(nb - 1, sommeFacto);</span>
    }
    
    public int factoRec(int nb) {
<span class="fc" id="L52">        return factoRec(nb, 1);</span>
    }
    
    public int calcul(int a, int b, String operateur){
<span class="fc" id="L56">        int res = 0;</span>
<span class="fc bfc" id="L57" title="All 5 branches covered.">        switch(operateur) {</span>
            case &quot;+&quot;:
<span class="fc" id="L59">                res = addition(a, b);</span>
<span class="fc" id="L60">                break;</span>
            
            case &quot;-&quot;:
<span class="fc" id="L63">                res = soustraction(a, b);</span>
<span class="fc" id="L64">                break;</span>
                
            case &quot;*&quot;:
<span class="fc" id="L67">                res = multiplication(a, b);</span>
<span class="fc" id="L68">                break;</span>
                
            case &quot;/&quot;:
<span class="fc" id="L71">                res = division(a, b);</span>
<span class="fc" id="L72">                break;</span>
                
            default:
<span class="fc" id="L75">                throw new IllegalArgumentException(&quot;Opérateur non traité!&quot;);           </span>
        }
<span class="fc" id="L77">        return res;</span>
    }
    
    
    synchronized public boolean waitTest(int i) {
        try {
<span class="fc" id="L83">            wait(i);</span>
<span class="pc" id="L84">        } catch (InterruptedException ex) {</span>
<span class="nc" id="L85">            Logger.getLogger(Calculatrice.class.getName()).log(Level.SEVERE, null, ex);</span>
        }
<span class="fc" id="L87">        return true;</span>
    }
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.8.202204050719</span></div></body></html>